#include "screen.h"
#include "mem.h"
#include "vcpu.h"

int main(int argc, char *argv[])
{

  // Initialize
  MemInit();
  MemLoadROM("../roms/logo_chip8.ch8");

  ScreenInit(800,400);
  VCPUInit();
  //  MemDump();
  int i=0;
  
  while (!WindowShouldClose()){
    VCPUFetch();
    VCPUDecode();
    VCPUExecute();
    ScreenUpdate();
  }
  
  ScreenClose();
  
  return 0;
}
